org.codehaus.plexus.components.interactivity

## Class PrompterException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.codehaus.plexus.components.interactivity.PrompterException

All Implemented Interfaces:
  Serializable

    public class PrompterException
    extends Exception

Error while prompting.

Version:
  $Id: PrompterException.java 2649 2005-10-10 16:51:51Z brett $
Author:
  Brett Porter
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PrompterException(String message)`
`PrompterException(String message, Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PrompterException

    public PrompterException(String message)

#### PrompterException

    public PrompterException(String message,
                             Throwable cause)